
.modal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);

}

.modal.show {
    display: flex !important;
    justify-content: center;
    align-items: center;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    cursor: pointer;
}

.modal-content {
    padding: 20px;
    background-color: white;
    border-radius: 8px;
    text-align: center;
    max-width: 500px;
    width: 100%;
}

.otp-edit-phone {
    display: flex;
    align-items: center;
    flex-direction: row;
    /* صورة على الشمال، نص على اليمين */
}

.otp-edit-phone img {
    margin-right: 5px;
    transform: rotate(-90deg);
    /* لَف السهم ناحية الشمال */
}


.otp-modal-content {
    padding: 20px !important;
    width: 100%;
    margin: 0 auto;
    background: white;
    border-radius: 16px;
    text-align: center;
    position: relative;
}

.otp-modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    font-size: 14px;
    color: #6A6A6A;
}

.otp-edit-phone {
    cursor: pointer;
    color: #6A6A6A;
}

.close {
    cursor: pointer;
    font-size: 20px;
}

.otp-lock-icon .icon-circle {
    background-color: #F1F1F1;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 15px;
}

.otp-lock-icon img {
    width: 50.43px;
    height: 68.57px;
}

.otp-title {
    color: #947325;
    font-weight: 600;
    font-size: 20px;
    margin-bottom: 8px;
}

.otp-subtitle {
    color: #6A6A6A;
    font-size: 14px;
    margin-bottom: 20px;
    font-weight: 400;
}


.login-aligned-container {
    max-width: 100% !important;
    /* خليها تمتد بالكامل لو فيه قيود */
    width: 100%;
    margin: 0 auto;
    padding: 0 15px;
    box-sizing: border-box;
    text-align: left;
}



.login-aligned-container .block-content .primary a {
    text-align: center;
    font-size: 16px;
    font-weight: 500;
    color: #1B4931;
}

.field.email .label span,
.field.mobile .label span {
    font-weight: 400;
    font-size: 14px;
}

.icon-input {
    position: relative;
    display: inline;
    align-items: center;
}

.icon-input img {
    position: absolute;
    left: 12px;
    top: 50%;
    transform: translateY(-50%);
    width: 24px;
    height: 24px;
    pointer-events: none;
    filter: brightness(0) saturate(100%) invert(49%) sepia(0%) saturate(0%) hue-rotate(180deg) brightness(88%) contrast(85%);
}

.icon-input input {
    border-radius: 8px;
    padding: 12px 12px 12px 40px !important;
    font-size: 16px;
    width: 100%;
    box-sizing: border-box;
}


.login-container {
    margin-top: 11px !important;
}

.block-customer-login {
    text-align: center;
    background-color: #fff;
    padding: 20px;
    max-width: 600px;
    width: 90%;
    min-height: 730px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.login-container .block {
    width: 50% !important;
}

.actions-toolbar .primary {
    text-align: center;
    width: 80%;
}


#getotpbtn {
    background-color: #C7A658;
    border: 1px solid #C7A658;
    color: #fff !important;
    padding: 9px 40px;
    font-size: 16px;
    cursor: pointer;
    display: block;
    width: 100%;
    margin-top: 24px;
    line-height: 1.5;
    border-radius: 8px;
    text-align: center;
    box-sizing: border-box;
}



#getotpbtn span {
    display: inline-block;
    width: 100%;
    text-align: center;
    color: #fff !important;
}

.actions-toolbar {
    margin-left: 0px !important;
}

/* ✅ دعم الموبايل */
@media (max-width: 768px) {
    .block-customer-login {
        width: 100%;
        margin: 2px auto;
        padding: 15px;
        min-height: auto;
        padding-bottom: 24px !important;
    }

    h2 {
        font-size: 30px !important;
        font-weight: 700;
    }

    .actions-toolbar .primary {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .block-new-customer {
        margin-top: 0px !important;
    }


    .form .fieldset .control {
        width: 100% !important;
    }

    .login-container .block {
        width: 100% !important;
    }

    .fieldset {
        padding-left: 5px !important;
        margin-bottom: 0px !important;
    }

    .login-container form.form.form-login .actions-toolbar {
        display: block !important;
    }
}
